package com.hh.lib_base.utils;

/**
 * Description: $
 *
 * @author xwh
 * time 2024/8/23
 **/
public class DoubClickUtils {

    private static final int MIN_CLICK_DELAY_TIME = 1000; // 点击间隔时间，单位毫秒
    private static long lastClickTime = 0;

    public static boolean onDoubClick() {
        if (System.currentTimeMillis() - lastClickTime < MIN_CLICK_DELAY_TIME) {
            // 如果两次点击小于设定的点击间隔时间，则不执行点击事件
            return true;
        }
        // 执行按钮点击后的操作
        // ...

        // 更新最后一次点击时间
        lastClickTime = System.currentTimeMillis();
        return false;

    }
}
